Subject: Re: [PATCH 2/3] powerpc: Instrument Hypervisor Calls: add wrappers

From: Mike Kravetz <[email-masked]>
Date: Tue, 18 Jul 2006 16:18:15 -0700

On Tue, Jul 18, 2006 at 05:34:25PM -0500, Olof Johansson wrote:
> As I said before, SPRN_PURR doesn't exist on all architecture versions
> that supports hypervisor mode.

Thanks!

I assume checking must be done at run time via something like,
if (cpu_has_feature(CPU_FTR_PURR))

Also assume that it would make sense to do this determination at
initialization/boot time and put the result in the statistic data
structure.  In this way we would know it is in the same cache line
we are updating with other stats.  Or, should cur_cpu_spec->cpu_features
be 'sufficiently hot' to make this a non-issue?

-- 
Mike